Incidents
List authorized incidents without Slack transport metadata.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Query Parameters
Value in
- "queued"
- "running"
- "halted"
- "complete"
- "error"
- "canceled"
length <= 2561 <= value <= 10025length <= 4096Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/incidents"{ "items": [ { "id": "string", "number": 1, "reference": "string", "title": "string", "scopeLabel": "string", "agentSessionId": "string", "sessionStatus": "queued", "projectId": "string", "deploymentId": "string", "releaseId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "nextCursor": "string"}Get an authorized incident without Slack transport metadata.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
1 <= length <= 128Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/incidents/string"{ "incident": { "id": "string", "number": 1, "reference": "string", "title": "string", "scopeLabel": "string", "agentSessionId": "string", "sessionStatus": "queued", "projectId": "string", "deploymentId": "string", "releaseId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}